set(SRC_FILES
    "Src/Imp/CPP/Game.cpp"
)

add_library(Game SHARED ${SRC_FILES})

target_compile_definitions(Game PRIVATE "__BUILDING_IAENGINE_GAME=1")

target_include_directories(Game PRIVATE "Src/Imp/HPP")

target_link_libraries(Game PUBLIC IAEngine)
